import os
import uvicorn
from pathlib import Path

# Make sure storage directory exists
storage_dir = Path("/app/storage/db")
storage_dir.mkdir(parents=True, exist_ok=True)

if __name__ == "__main__":
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)